Bug 963146 - HTTPD_LANG doesn't effect when httpd starts by graceful.
Summary: HTTPD_LANG doesn't effect when httpd starts by graceful.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Filip Holec
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1551002
TreeView+ depends on / blocked
 
Reported: 2013-05-15 09:03 UTC by Yoshifumi Kinoshita
Modified: 2019-07-11 07:42 UTC (History)
5 users (show)

Fixed In Version: httpd-2.2.15-40.el6
Doc Type: Bug Fix
Doc Text:
The apachectl script did not take into account the HTTPD_LANG variable set in the /etc/sysconfig/httpd file during graceful restarts. Consequently, httpd did not use a changed value of HTTPD_LANG when the daemon was restarted gracefully. The script has been fixed to handle the HTTPD_LANG variable correctly.
Clone Of:
: 1221275 (view as bug list)
Environment:
Last Closed: 2015-07-22 05:52:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1249 normal SHIPPED_LIVE Low: httpd security, bug fix, and enhancement update 2015-07-20 17:50:12 UTC

Comment 1 Joe Orton 2013-05-28 08:56:49 UTC
Thanks for the report.  This is a bug in the /usr/sbin/apachectl script, which does not apply the LANG setting correctly.

You can work around this by always using "service httpd start" to start the service.

Comment 8 errata-xmlrpc 2015-07-22 05:52:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1249.html


Note You need to log in before you can comment on or make changes to this bug.